/**********************************************************************
**                                                                   **
**                I N T E L   P R O P R I E T A R Y                  **
**                                                                   **
**   COPYRIGHT (c)  2005-2006         BY  INTEL  CORPORATION.  ALL   **
**   RIGHTS RESERVED.   NO PART OF THIS PROGRAM OR PUBLICATION MAY   **
**   BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A   **
**   RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER   **
**   LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,   **
**   MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT   **
**   THE PRIOR WRITTEN PERMISSION OF :                               **
**                                                                   **
**                      INTEL  CORPORATION                           **
**                                                                   **
**                2200 MISSION COLLEGE BOULEVARD                     **
**                                                                   **
**             SANTA  CLARA,  CALIFORNIA  95052-8119                 **
**                                                                   **
**********************************************************************/

var Results		= new Array();
var URLTarget	= "_blank";
var Document	= document;
var PathDiv		= "\\";

var SearchList	= new Array();
var ExcludeList	= new Array();
var CurEntries	= new Array();

function Search()
{
	if (arguments.length == 0)				return; 
	if (typeof Array.prototype.splice == "undefined")	Array.prototype.splice = Splice_Fcn;

	if (typeof navigator.userAgent != "undefined")
	{
		var browser		= navigator.userAgent.toLowerCase();
		if ((browser.indexOf("netscape") == -1) &&  
			(browser.indexOf("firefox") == -1) && 
			(browser.indexOf("gecko") == -1))
				URLTarget="_self";
	}

	if (typeof window.location.pathname != "undefined")
	{
		var nIdx	= window.location.pathname.indexOf('/');
		if (nIdx != -1)	PathDiv = "/";
	}

	ClearArrays();
	var Exclude_Warning	= "";
	var FrameCnt		= top.frames.length;

	if (FrameCnt != 0)	Document = top.frames[FrameCnt-1].document;

	for (i=0; i < arguments.length; i++)
	{
		if (arguments[i].toString().indexOf(" ") == -1)
			AddToSearchArray(arguments[i].toString());
		else
		{
			var arg_array = arguments[i].toString().split(" ");
			for (j=0; j < arg_array.length; j++)
			{
				var current	= arg_array[j];
				if (current == "")	continue;
				if ((current == "+") || (current == "-"))
				{
					var next	= arg_array[++j];
					while ((next == "") && (j < arg_array.length+1))		next = arg_array[++j];
					current	= current + next;
				}
				AddToSearchArray(current);
			}
		}
	}
	Document.clear();
	Document.write("<html>");
	Document.write("<head>");
	Document.write("<meta http-equiv=Content-Type content=text/html>");
	Document.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">");
	Document.write("</head>");
	Document.write("<body>");
	Document.title		= "Search Results";
	Document.write("<h1>Search Results</h1>");
	Document.write("<HR>");
	Document.write("<BR>");

	if (ExcludeList.length != 0)
	{
		for (j=0; j < Entries.length; j++)
		{
			var ExcCount = 0;
			for (i=0; i < ExcludeList.length; i++)
			{
				ExcCount += GetEntryCount(Entries[j], ExcludeList[i]);
				if (ExcCount != 0)		break;
			}
			if (ExcCount == 0)			CurEntries[CurEntries.length] = Entries[j];
		}
	}
	else		CurEntries	= Entries;

	for (i=0; i < SearchList.length; i++)
	{
		if (Exclude.indexOf(SearchList[i]) != -1)
		{
			if (Exclude_Warning	!= "")		Exclude_Warning	+= ", ";
			Exclude_Warning	+= SearchList[i];
		}
		else
		{
			FindString(SearchList[i]);
		}	
	}

	if ((SearchList.length == 0) && (ExcludeList.length != 0))		FindString("*");

	if (Exclude_Warning != "")
	{
		Document.write("<BR><BR><b>" + Exclude_Warning + "</b>");
		if (Exclude_Warning.indexOf(",") != -1)		Document.write(" are common words and were ignored.<BR>");
		else						Document.write(" is a common word and was ignored.<BR>");
	}

	for (i=0; i < Results.length; i++)
	{
		Document.write("<BR>");
		WriteResult(Results[i][1], Results[i][0], Results[i][2]);
	}

	if (Results.length == 0)
	{
		var OutStr	= "";
		for (i=0; i < arguments.length; i++)
			OutStr += " " + arguments[i];
		Document.write("<BR>");
		Document.write("Your search - <b>" + OutStr + "</b> - did not match any documents.");
		Document.write("<BR><BR>Suggestions:<BR>  - Make sure all words are spelled correctly.<BR>  - Try different keywords<BR>  - Try more general keywords<BR>");
	}

	Document.write("</body>");
	Document.write("</html>");
	Document.close();
	ClearArrays();
}
function AddToSearchArray(str)
{
	if (str.indexOf("+") != -1)
	{
		var	len	= SearchList.length;
		if (len != 0)			{	len--;	SearchList[len]	= SearchList[len] + str;	}
		else					SearchList[0]		= str;
	}
	else if (str.indexOf("-") == 0)
	{
		str	= str.substring(1, str.length);
		ExcludeList[ExcludeList.length]	= str;
	}
	else		SearchList[SearchList.length]	= str;
}
function WriteResult(page_name, page_url, description)
{
	if (arguments.length != 3)
	{
		return null;
	}

	if (description == "") 		description = "No description available";

	if ((PathDiv == "/") && (page_url.indexOf("\\") != -1))
		page_url	= 	page_url.replace("\\", "/");

	Document.write("<BR><b><a href=\""+page_url+"\" target=\"" + URLTarget + "\">"+page_name+"</a></b>");
	Document.write("<BR>" + description);
}
function FindString(str)
{
	for (j=0; j < CurEntries.length; j++)
	{
		var Count = 0;
		if (str == "*")		Count += 1;
		Count +=			GetEntryCount(CurEntries[j], str);
		if (Count != 0)		AddToResults(CurEntries[j][0], CurEntries[j][1], CurEntries[j][2], Count);
	}
}
function GetEntryCount(theEntry, str)
{
	if (theEntry.length != 5)	return 0;
	str	= str.toLowerCase();
	var Count = 0;
	if (str.indexOf("+") != -1)
	{
		var str_array = str.split("+");
		var c1			= GetEntryCount(theEntry, str_array[0])
		var c2			= GetEntryCount(theEntry, str.replace(str_array[0] + "+", ""));
		if ((c1 != 0) && (c2 != 0))		Count	= c1 + c2;
	}
	if (theEntry[1].toLowerCase().indexOf(str) != -1)
		Count += 8;
	if (theEntry[2].toLowerCase().indexOf(str) != -1)
		Count += 5;
	if (theEntry[3].indexOf(str) != -1)
		Count += 10;
	if (theEntry[4].indexOf(str) != -1)
		Count += 1;
	return Count;
}
function AddToResults(url, name, desc, count)
{
	for (k=0; k < Results.length; k++)
	{
		if (Results[k][0] == url)
		{
			count = Results[k][3] + count;
			Results.splice(k, 1);
			break;
		}
	}

	var NewIdx = Results.length;

	for (l=0; l < Results.length; l++)
	{
		if (Results[l][3] <= count)
		{
			NewIdx = l; break;
		}	
	}

	var NewEntry	= new Array(4);
	NewEntry[0] 	= url;
	NewEntry[1] 	= name;
	NewEntry[2]		= desc;
	NewEntry[3] 	= count;
	Results.splice(NewIdx, 0, NewEntry);
}
function Splice_Fcn()
{
	if (arguments.length < 2)			return;

	var InsertIdx	= arguments[0];
	var Count		= arguments[1];

	var tmp			= new Array();
	var	ModArray	= new Array();
	var i			= 0;

	for (i = 0; i < InsertIdx; i++)                     tmp[tmp.length] = this[i];
	for (i = 2; i < arguments.length; i++)              tmp[tmp.length] = arguments[i];
	for (i = InsertIdx + Count; i < this.length; i++)   tmp[tmp.length] = this[i];
	for (i = 0; i < tmp.length; i++)                    this[this.length] = tmp[i];

	return ModArray;
}
function ClearArrays()
{
	Results			= new Array();
	SearchList		= new Array();
	ExcludeList		= new Array();
	CurEntries		= new Array();
}


var Exclude             = "a add all also an and and/or are as at be but by can did do for from has have how id if in into is it no non not of on once one only onto or so some than that the this to too try two use want well what when where which why will with within yes you your";
var Entries             = new Array();

Entries[0]            = new Array(4);
Entries[0][0]         = "ad_100d.htm";
Entries[0][1]         = "Supported Adapters Desktop Pro/100";
Entries[0][2]         = "Supported Intel PRO/100 Desktop This driver software is designed to operate with the following Intel PRO/100 desktop adapters Product Name Board ID # Controller Intel ...";
Entries[0][3]         = "adapters connections support";
Entries[0][4]         = "a19716 a80897 adapter barcode board built card code connect controller designed desktop digit driver extension feature following front guide intel lan last management modified motherboard n/a name network operate opposed plugged printed pro/100 product revision see software sticker supported ve vm xxx";

Entries[1]            = new Array(4);
Entries[1][0]         = "cable.htm";
Entries[1][1]         = "Attach the RJ45 Network Cable";
Entries[1][2]         = "How to attach an RJ45 network cable to your adapter.";
Entries[1][3]         = "cable port rj45";
Entries[1][4]         = "accommodate achieve adapter addition address allows any association's attach auto automatically better between cable cases category caution ceilings compatible complies component configure connect copper cross depending directly dual duplex either environment ethernet example feature fire first following hexadecimal industry information insert intel intended label last length less limited link make manually may mbps mdi meters models modified more multi multiple must negotiate network note obtain operation over pair partner plenum port printed pro/1000 rated residential revision rj45 rooms runs safety second see segment set should shown side single specification speed sure telecommunications then through tia twisted types up value walls website wiring without";

Entries[2]            = new Array(4);
Entries[2][0]         = "drivers.htm";
Entries[2][1]         = "Install the Drivers";
Entries[2][2]         = "Installing Microsoft Windows drivers for your adapter.";
Entries[2][3]         = "drivers install";
Entries[2][4]         = "acceptable adapter add/remove additional after again already any apply attempts automatically autorun before below bit browse cable cancel cannot cd checkbox choose click complete computer confirmation connections control copied dialog directory discovers displayed displays double download drive driver edition extracted files find finish first follow found hardware ignore including indicates insert install instructions intel intervention last located location make message microsoft modified necessary network new next notes ok operating option package panel plug pro pro/100 pro/1000 pro100 pro1000 procedure product program recommended regardless release revision rom runs screen search select server software specify start support sure system them then these transfer uninstall update user versions was website whether win98se window without wizard x64 xp";

Entries[3]            = new Array(4);
Entries[3][0]         = "dupwindm.htm";
Entries[3][1]         = "Configuring Speed and Duplex in Windows";
Entries[3][2]         = "How to configure an adapter's speed and duplex under Microsoft Windows.";
Entries[3][3]         = "duplex link speed";
Entries[3][4]         = "adapter administrators always apply appropriate attempt auto available based been below best cabling cannot capable caution change choose click configure connections considerations copper default determine device differently disabled does down duplex either enabled establish experienced fiber force full gigabit half identical ieee instructions intel last like link manager manually match may mbps menu microsoft mode modified must native navigate need negotiate network notes ok older open operate packets partner pass per performance performs pro/100 pro/1000 properties pull receive requires revision same see select send server set should specific speed suffer support switch tab their these time up windows would xp";

Entries[4]            = new Array(4);
Entries[4][0]         = "floppy.htm";
Entries[4][1]         = "Creating an Installation Disk";
Entries[4][2]         = "Step bystep instructions on how to create driver installation diskettes.";
Entries[4][3]         = "disk floppy install";
Entries[4][4]         = "active adapter appropriate apps automatically autorun based batch below box browse button cd change click command computing connection copy correct create destination directly directory disk diskette displayed double download drive driver either em64t end enter example exit explorer express extracting file floppy following formatted future ia-32 in98se input insert install intel itanium last letter line listed loading make makedisk manually matches microsoft mode modified ms n/a navigate necessary netware network note novell nw open operating optional package parameter pci platform point pro pro/100 pro/1000 pro/10gbe process product program prompt repeat respective revision rom root run screen select server silent software start steps support switch system target text then through type until useful user utility wait warnings website win98se window ws0332efe ws0332egig ws0332epcie ws03xp2kfe ws03xp2kgig ws03xp2kpcie ws03xp64fe ws03xp64gig xp";

Entries[5]            = new Array(4);
Entries[5][0]         = "insert.htm";
Entries[5][1]         = "Insert the Adapter";
Entries[5][2]         = "Step by step instructions on how to install a PCI or PCI X adapter into a system.";
Entries[5][3]         = "hot install pci plug";
Entries[5][4]         = "adapter additional anything before bit bracket bus case cause caution compatible computer configuration connected connector contacts contents cord could cover damage determine documentation down each edge electrical enabled end endanger error exposed failure firmly function get hot insert install instructions it's last later make master may modified off operating pci plug power problem push remove repeat replace required revision running screw seated secure see select shut slot special start steps still supports sure system table then through touch troubleshooting turn unplug until would";

Entries[6]            = new Array(4);
Entries[6][0]         = "ipsecoff.htm";
Entries[6][1]         = "IP Security Offloading";
Entries[6][2]         = "Internet Protocol IP Security IPSec is a set of protocols used to help secure the exchange of IP data. IP Security offloading is the assignment ...";
Entries[6][3]         = "ip ipsec offloading security";
Entries[6][4]         = "adapter address advanced algorithm assignment available computations configurable configure contents cpu data decreases described enabled exchange feature generally hardware help increases information intel internet ip ipsec last left microsoft modified more network offloading online other over pane performance permanently place pro/100 proset protocol revision secure security select server set software support table takes these through translation used utilization window";

Entries[7]            = new Array(4);
Entries[7][0]         = "lbracket.htm";
Entries[7][1]         = "Attach the Low Profile Bracket";
Entries[7][2]         = "How to attach the low profile bracket for use in systems with low profile slots.";
Entries[7][3]         = "bracket install low profile";
Entries[7][4]         = "adapter any attach away back before bracket carefully charge come dissipate follow future ground handling install instructions last low may models modified necessary need over package product profile re remove revision screws seated securing side sized slide slot small standard static step these they tighten until used using yourself";

Entries[8]            = new Array(4);
Entries[8][0]         = "lights.htm";
Entries[8][1]         = "Indicator Lights";
Entries[8][2]         = "The Intel PRO/100+, PRO/100 S, PRO/100 M, PRO/100 VE, and VM Desktop Adapters and Network Connections have the following indicator lights Label Indication Meaning ACT/LNK ...";
Entries[8][3]         = "connections indicator lights";
Entries[8][4]         = "act/lnk adapter amount between cable configuration connection data desktop driver flashes flashing following frequency good indication indicator intel label last lights mbps meaning modified network off operating power pro/100 problem receiving revision sending switch traffic varies ve vm";

Entries[9]            = new Array(4);
Entries[9][0]         = "mang_win.htm";
Entries[9][1]         = "Power Management";
Entries[9][2]         = "Setting up Power Saver options and Wake on LAN on Microsoft Windows operating systems.";
Entries[9][3]         = "management power remote wake wol";
Entries[9][4]         = "ability acpi adapter advanced allow anyway apm available bios both cable called capability capable complex computer consumption control dependant development device directed disabled disarms disconnected display down during effect enable evolved example explicitly feature few functionality hibernate however important included includes including incorporated intel interacting lan last limited magic management manager may microsoft mode modified must note off operating option over override packet power previously proset reduce remote removed replaces revision s3 s4 s5 saver server set several shutdown shutting simple speed standard standby state support system tab then there these they type under up using variety versions wake were windows xp years";

Entries[10]            = new Array(4);
Entries[10][0]         = "manage.htm";
Entries[10][1]         = "Remote Wake Up";
Entries[10][2]         = "Remote Wake up and Wake on LAN basics.";
Entries[10][3]         = "lan remote wake wake-up";
Entries[10][4]         = "ability about accept acpi activates adapter address administrators advanced allow amps any apm area around arp assigned attached awaken aware backwards based below bios board both bracket bus cable came capability capable check choosing circuitry clock compatibility complaint completely complex compliant components computer concept configure connection connector consecutive contact containing contains contents control corresponds could cpu current d815epea2 data defined description designed desktop details determine development device different directed disk documentation does done down draw drive driver due each early either enable equipped ethernet event evolved example extends feature few field find first fit following format fully function generally gigabit had header hibernate hours however ibautil implementation important include information initiated installed intel interacting interface intermediate ip keyed label lan last least leds level limited list locations look low mac magic maintenance management manufacturer many may memory milliamps mode model modified more most motherboard mt multiple must named necessary need network newer note numbers off older operating operational operations os out over own packet partial particular patterns pci per perform pila8460bn pila8460f pila8461 pila8900 pin plugged pme port power pro pro/100 pro/1000 proset protocol provide pwla8390t pwla8490xt quad querying ram rating received receives reduces refers refreshed reloaded remains remote removed repeated repetitions represents request require resolution response revision routed s0 s1 s2 s3 s4 s5 section see selectable selectively sending sent server set should shutdown signal similar simple sleep slot specific standby started state still stopped such supply support suspend swapped system technician then these they through times titled turning type typically under up upon user usually utility value variety various verify versions volt wake was were whereas windows without wol work xt years";

Entries[11]            = new Array(4);
Entries[11][0]         = "pushinst.htm";
Entries[11][1]         = "Microsoft Windows Push Install Instructions";
Entries[11][2]         = "Microsoft Windows Push Install Instructions A Push, or unattended, installation provides a means for network administrators to easily install the drivers on systems that have ...";
Entries[11][3]         = "driver install installation push unattended";
Entries[11][4]         = "adapters administrators apps basic cd directory document download drivers easily equipment file following includes information install instructions intel last means microsoft modified more network pro/100 pro/1000 product provides push pushw2k pushw98 pushws3 pushxp revision see server setup similar systems unattended win2k win98se windows ws03xp32 xp";

Entries[12]            = new Array(4);
Entries[12][0]         = "qos.htm";
Entries[12][1]         = "Quality of Service QoS";
Entries[12][2]         = "A brief discussion of Quality of Service QoS).";
Entries[12][3]         = "balance load qos quality service tagging team";
Entries[12][4]         = "adapter adaptive advanced aggregation alb allow analysis balancing bandwidth base before both configured connected control deal disabled does efficient enabled events example expedite factor field first flow frame generation gigabit help high ieee implement include information intel knowledge last levels link load low make microsoft modified more most must network note order packet pass prioritization priority pro/1000 process programs proset pwla qos quality real receive reserve revision see send server service sla specify static support switch system tab tagged tagging team third three time traffic transmission utility vlan whole windows xp";

Entries[13]            = new Array(4);
Entries[13][0]         = "reg100d.htm";
Entries[13][1]         = "Regulatory Information";
Entries[13][2]         = "Regulatory Information Intel PRO/100+ Management Adapter Intel PRO/100+ Desktop Adapter Intel PRO/100 M Desktop Adapter Intel PRO/100 S Desktop Adapter Intel PRO/100 VE Desktop Adapter ...";
Entries[13][3]         = "";
Entries[13][4]         = "accept accordance adapter against amendment antenna any as/nzs3548 australia/new australian authority based been below between bsmi c22 can/csa canada canadian cause caution ce certification changed circuit cispr class classe cns13438 communications community compatibility compliance comply conditions conducted conformance conformity connect consult control corporation correct council dealer declaration declares described designed desktop determined device different digital directive disturbance document does edition eec elam electromagnetic emc emi emissions ems en en55022 en55024 encouraged energy equipment european experienced fcc first following found frequency general generates guarantee harmful help her hillsboro his home however ices iec immunity including increase industry information installation installed instructions intel interference international japan jf3 korea last limits listed low mailstop management manufacturer mark may measures mic modified more must ne nmb note notice occur off office operate outlet parkway part particular party permission phone pro/100 product protection provide pursuant radiate radio radio/tv reasonable received receiver receiving reception recognition regulatory relocate reorient republic required requirements residential responsible revision rf rules safety separation standards statement subject taiwan technician technology television tested there these tick turning ul undesired union upon usa user vcci ve verification void voltage without young zealand";

Entries[14]            = new Array(4);
Entries[14][0]         = "reqd.htm";
Entries[14][1]         = "System Requirements";
Entries[14][2]         = "System requirements for Intel PRO/100 desktop adapters.";
Entries[14][3]         = "32-bit 64-bit compatibility install pci pci-x requirements";
Entries[14][4]         = "adapter advanced advantage available basic before bios bit bus check compatibility compatible computer configuration currently dos drivers either em64t extended following hardware hat higher ia-32 installed installer installing intel kernel last later latest linux list master memory met microsoft minimum mode modified must netware network novell open openserver operating order pack pci platform pro/100 red requirements revision run sco server service slot software sp2 sp5 sp7 supplies supported supports suse system takes technology unixware v2 windows x64 xp";

Entries[15]            = new Array(4);
Entries[15][0]         = "setbd_dm.htm";
Entries[15][1]         = "Unattended Installation";
Entries[15][2]         = "Installing the base drivers and Intel PROSet via the command line.";
Entries[15][3]         = "base driver install proset setupbd";
Entries[15][4]         = "above acceleration actions adapter's after allows already always another any application apply appropriate apps associated assume available base bd been before between case cd change characters chinese chipset codes com/library command commonly components components/features corresponds current default definition describes description deselect detects device different directory disable displayed displays dmix driver during dxsetup equal error example execute fatal feature file filename first flexibility folder following force full function get gui hide http i i/o ignored image include inf infdir information install install/upgrade instructions intel invalid itanium known language last launched launches layouts level line list local log looks makes manager messages methods microsoft modify more most msdn msi msiexec mst must name necessarily need new note operating option oss other package parameters path prior productcode properly property proset prosetdx provided provides public reboot recommends reduced refer reinstall release repair required return revision running same search section see select selected/displayed sensitive series server service set setup setupbd should silent simplify space specific specified start status strings subject support switch syntax system system32 takes technology temp tested them then transform translates typical unattend under uninst uninstall updates uppercase utility valid version via warnings way website white win32 win64 windows winnt without x64 xp xp32 xp64";

Entries[16]            = new Array(4);
Entries[16][0]         = "vlwin.htm";
Entries[16][1]         = "Join a Virtual LAN under Windows OS";
Entries[16][2]         = "How to configure VLANs on adapters installed in systems running Microsoft Windows 2000, XP, and Windows Server 2003.";
Entries[16][3]         = "lans virtual vlan";
Entries[16][4]         = "ability across adapter adds administration any area attached based between both broadcast building campus capability caution changes clients co collection communicate computers configure connecting connections connects considerations considered consist contents cross defined department desktop devices different dispersed ease enterprise environments exist first following functional geographically group hardware ieee improve including information intel joint lan last later left limit local locations logical management match maximum membership microsoft minimize modified more most moves multiple must network other pack pane per performance physical ports pro pro/100 problems project proset protocol refers restricted revision running same security segments select server service set simplify software storms support switch table tagging task team term them then they those together typically untagged up updates users ve versions virtual vlan vm were window workers workgroups working xp";
